#include "partition.h"
#include <algorithm>
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    vector<bool> V(1e8, 0);
    int siz=A.size();
    vector<int> R1(siz);

    int half=(siz+1)/2;

    int i=0;

    for (; half<siz; i++) {
        R1[i]=half;
        half++;
    }
    int j=0;
    for (; i<siz; i++) {
        R1[i]=j;
        j++;
    }

        return{R1};
}
